Package Details: flare-engine-git 1.13.04.r0.g3337b556-1

Git Clone URL: https://aur.archlinux.org/flare-engine-git.git (read-only, click to copy)
Package Base: flare-engine-git
Description: Free/Libre Action Roleplaying Engine - Git version
Upstream URL: https://www.flarerpg.org/
Licenses: GPL3
Conflicts: flare-engine
Provides: flare-engine
Submitter: dorkster
Maintainer: dorkster (FabioLolix)
Last Packager: FabioLolix
Votes: 14
Popularity: 0.000000
First Submitted: 2014-11-13 18:45 (UTC)
Last Updated: 2022-02-10 20:28 (UTC)

Latest Comments

dorkster commented on 2022-01-02 19:04 (UTC)

@guzzisti Sorry about that. This was a mistake in the upstream package's CMake config file. It should work now, but I recommend doing a clean build of the package to avoid any issues with CMake cache.

guzzisti commented on 2022-01-02 10:42 (UTC)

The build currently fails for me:

[ 98%] Building CXX object CMakeFiles/flare.dir/src/WidgetTooltip.cpp.o
[ 99%] Building CXX object CMakeFiles/flare.dir/src/main.cpp.o
[100%] Linking CXX executable flare
/usr/bin/ld: cannot find -lm;-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
collect2: error: ld returned 1 exit status
make[2]: *** [CMakeFiles/flare.dir/build.make:1883: flare] Error 1
make[1]: *** [CMakeFiles/Makefile2:83: CMakeFiles/flare.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
:: Unable to build flare-engine-git - makepkg exited with code: 4

anyone else encountered this error?

teixeirazeus commented on 2019-01-25 18:53 (UTC)

CMake Error: No source or binary directory provided. I change: cmake -DCMAKE_INSTALL_PREFIX=/usr TO -DDATADIR=share/flare to cmake . -DCMAKE_INSTALL_PREFIX=/usr -DDATADIR=share/flare And works :D

swiftscythe commented on 2018-11-10 10:13 (UTC)

Hi, source should point to: https://github.com/flareteam/flare-engine